# Container Infrastructure Management

## Cluster Operations

class openstack.container_infrastructure_management.v1._proxy.Proxy(session, *, service_type=None, service_name=None, interface=None, region_name=None, endpoint_override=None, version=None, auth=None, user_agent=None, connect_retries=None, logger=None, allow=None, additional_headers=None, client_name=None, client_version=None, allow_version_hack=None, global_request_id=None, min_version=None, max_version=None, default_microversion=None, status_code_retries=None, retriable_status_codes=None, raise_exc=None, rate_limit=None, concurrency=None, connect_retry_delay=None, status_code_retry_delay=None, statsd_client=None, statsd_prefix=None, prometheus_counter=None, prometheus_histogram=None, influxdb_config=None, influxdb_client=None)
  create_cluster(**attrs)

    Create a new cluster from attributes

    Parameters:

      attrs (dict) – Keyword arguments which will be used to create a `Cluster`, comprised of the properties on the Cluster class.

    Returns:

      The results of cluster creation

    Return type:

      `Cluster`

  delete_cluster(cluster, ignore_missing=True)

    Delete a cluster

    Parameters:

      - cluster – The value can be either the ID of a cluster or a `Cluster` instance.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the cluster does not exist. When set to `True`, no exception will be set when attempting to delete a nonexistent cluster.

    Returns:

      `None`

  find_cluster(name_or_id, ignore_missing=True)

    Find a single cluster

    Parameters:

      - name_or_id – The name or ID of a cluster.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the resource does not exist. When set to `True`, None will be returned when attempting to find a nonexistent resource.

    Returns:

      One `Cluster` or None

  get_cluster(cluster)

    Get a single cluster

    Parameters:

      cluster – The value can be the ID of a cluster or a `Cluster` instance.

    Returns:

      One `Cluster`

    Raises:

      `NotFoundException` when no resource can be found.

  clusters(**query)

    Return a generator of clusters

    Parameters:

      query (kwargs) – Optional query parameters to be sent to limit the resources being returned.

    Returns:

      A generator of cluster objects

    Return type:

      `Cluster`

  update_cluster(cluster, **attrs)

    Update a cluster

    Parameters:

      - cluster – Either the id of a cluster or a `Cluster` instance.

      - attrs – The attributes to update on the cluster represented by `cluster`.

    Returns:

      The updated cluster

    Return type:

      `Cluster`

## Cluster Certificates Operations

class openstack.container_infrastructure_management.v1._proxy.Proxy(session, *, service_type=None, service_name=None, interface=None, region_name=None, endpoint_override=None, version=None, auth=None, user_agent=None, connect_retries=None, logger=None, allow=None, additional_headers=None, client_name=None, client_version=None, allow_version_hack=None, global_request_id=None, min_version=None, max_version=None, default_microversion=None, status_code_retries=None, retriable_status_codes=None, raise_exc=None, rate_limit=None, concurrency=None, connect_retry_delay=None, status_code_retry_delay=None, statsd_client=None, statsd_prefix=None, prometheus_counter=None, prometheus_histogram=None, influxdb_config=None, influxdb_client=None)
  create_cluster_certificate(**attrs)

    Create a new cluster_certificate from CSR

    Parameters:

      attrs (dict) – Keyword arguments which will be used to create a `ClusterCertificate`, comprised of the properties on the ClusterCertificate class.

    Returns:

      The results of cluster_certificate creation

    Return type:

      `ClusterCertificate`

  get_cluster_certificate(cluster_certificate)

    Get a single cluster_certificate

    Parameters:

      cluster_certificate – The value can be the ID of a cluster_certificate or a `ClusterCertificate` instance.

    Returns:

      One `ClusterCertificate`

    Raises:

      `NotFoundException` when no resource can be found.

## Cluster Templates Operations

class openstack.container_infrastructure_management.v1._proxy.Proxy(session, *, service_type=None, service_name=None, interface=None, region_name=None, endpoint_override=None, version=None, auth=None, user_agent=None, connect_retries=None, logger=None, allow=None, additional_headers=None, client_name=None, client_version=None, allow_version_hack=None, global_request_id=None, min_version=None, max_version=None, default_microversion=None, status_code_retries=None, retriable_status_codes=None, raise_exc=None, rate_limit=None, concurrency=None, connect_retry_delay=None, status_code_retry_delay=None, statsd_client=None, statsd_prefix=None, prometheus_counter=None, prometheus_histogram=None, influxdb_config=None, influxdb_client=None)
  create_cluster_template(**attrs)

    Create a new cluster_template from attributes

    Parameters:

      attrs (dict) – Keyword arguments which will be used to create a `ClusterTemplate`, comprised of the properties on the ClusterTemplate class.

    Returns:

      The results of cluster_template creation

    Return type:

      `ClusterTemplate`

  delete_cluster_template(cluster_template, ignore_missing=True)

    Delete a cluster_template

    Parameters:

      - cluster_template – The value can be either the ID of a cluster_template or a `ClusterTemplate` instance.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the cluster_template does not exist. When set to `True`, no exception will be set when attempting to delete a nonexistent cluster_template.

    Returns:

      `None`

  find_cluster_template(name_or_id, ignore_missing=True)

    Find a single cluster_template

    Parameters:

      - name_or_id – The name or ID of a cluster_template.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the resource does not exist. When set to `True`, None will be returned when attempting to find a nonexistent resource.

    Returns:

      One `ClusterTemplate` or None

  get_cluster_template(cluster_template)

    Get a single cluster_template

    Parameters:

      cluster_template – The value can be the ID of a cluster_template or a `ClusterTemplate` instance.

    Returns:

      One `ClusterTemplate`

    Raises:

      `NotFoundException` when no resource can be found.

  cluster_templates(**query)

    Return a generator of cluster_templates

    Parameters:

      query (kwargs) – Optional query parameters to be sent to limit the resources being returned.

    Returns:

      A generator of cluster_template objects

    Return type:

      `ClusterTemplate`

  update_cluster_template(cluster_template, **attrs)

    Update a cluster_template

    Parameters:

      - cluster_template – Either the id of a cluster_template or a `ClusterTemplate` instance.

      - attrs – The attributes to update on the cluster_template represented by `cluster_template`.

    Returns:

      The updated cluster_template

    Return type:

      `ClusterTemplate`

## Service Operations

class openstack.container_infrastructure_management.v1._proxy.Proxy(session, *, service_type=None, service_name=None, interface=None, region_name=None, endpoint_override=None, version=None, auth=None, user_agent=None, connect_retries=None, logger=None, allow=None, additional_headers=None, client_name=None, client_version=None, allow_version_hack=None, global_request_id=None, min_version=None, max_version=None, default_microversion=None, status_code_retries=None, retriable_status_codes=None, raise_exc=None, rate_limit=None, concurrency=None, connect_retry_delay=None, status_code_retry_delay=None, statsd_client=None, statsd_prefix=None, prometheus_counter=None, prometheus_histogram=None, influxdb_config=None, influxdb_client=None)
  services()

    Return a generator of services

    Returns:

      A generator of service objects

    Return type:

      `Service`

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.